What's changing

Protecting your business is our priority. CommBiz protects your business’ finances with state-of-the-art security features so you can bank online with confidence. Recent changes to the Payment Card Industry Data Security Standards (PCI DSS) mean that some older internet browser versions will no longer be supported. These standards come into effect on 1 July 2018.

Update your internet browser before 30 June 2018

A list of supported web and mobile browsers and their operating systems are listed below for your convenience.

Browser
Minimum Supported Version
Supported Operating System (OS)
Update
Chrome (web)
22
Windows (XP SP2+) OS X (10.7+) Linux
Chrome (mobile)
22
Android (4.0+) iOS (7.0+) Chrome OS
Firefox (web)
27
Windows (XP SP2+) OS X (10.6+) Linux
Firefox (mobile)
27
Android (2.3+) Firefox OS iOS (alpha) Maemo
Google Android OS Browser (mobile)
Native OS browser
Android 5.0 (Lollipop) and higher
Microsoft Edge (web)
Edge
Windows 10
Microsoft Edge (mobile)
Edge
Windows 10
Safari (web)
7
OS X 10.9 (Mavericks) and higher
Safari Mobile (mobile)
5
iOS 5 and higher

About PCI DSS

The PCI Security Standards Council is a global forum who maintain, evolve and promote the Payment Card Industry Security Standards. The PCI DSS was developed to encourage and enhance cardholder data security and facilitate the broad adoption of consistent data security measures globally.